package com.rdkr.tide_display.backend.firmware.service;

import com.rdkr.tide_display.backend.gcp.Firmware;
import java.util.List;
import java.util.Optional;

public interface FirmwareService {

  List<Firmware> getFirmwareVersions();

  Firmware getLatestFirmwareVersion();

  Optional<Firmware> getFirmwareVersion(String version);
}
